    import Recorder from 'remon-browsersdk/src/Recorder.js'

public class | source

# Recorder

## Static Method Summary

Static Public Methods
public static | forceDownload(blob: *, filename: *) |

## Constructor Summary

Public Constructor
public | constructor(source: *, cfg: *) |

## Member Summary

Public Members
public | callbacks: {"getBuffer": *, "exportWAV": *} |
public | config: {"bufferLen": number, "numChannels": number, "mimeType": string} |
public | context: * |
public | node: * |
public | recording: boolean |
public | worker: * |

## Method Summary

Public Methods
public | clear() |
public | exportWAV(cb: *, mimeType: *) |
public | getBuffer(cb: *) |
public | record() |
public | stop() |

## Static Public Methods

### public static forceDownload(blob: *, filename: *) source

#### Params:

Name | Type | Attribute | Description
blob | * |  |
filename | * |  |

## Public Constructors

### public constructor(source: *, cfg: *) source

#### Params:

Name | Type | Attribute | Description
source | * |  |
cfg | * |  |

## Public Members

### public callbacks: {"getBuffer": *, "exportWAV": *} source

### public config: {"bufferLen": number, "numChannels": number, "mimeType": string} source

### public context: * source

### public node: * source

### public recording: boolean source

### public worker: * source

## Public Methods

### public clear() source

### public exportWAV(cb: *, mimeType: *) source

#### Params:

Name | Type | Attribute | Description
cb | * |  |
mimeType | * |  |

### public getBuffer(cb: *) source

#### Params:

Name | Type | Attribute | Description
cb | * |  |

### public record() source

### public stop() source